<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::integration::test::AlexaCommunicationsLibraryTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1integration.html">integration</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_alexa_communications_library_test.html">AlexaCommunicationsLibraryTest</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_alexa_communications_library_test-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::integration::test::AlexaCommunicationsLibraryTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for alexaClientSDK::integration::test::AlexaCommunicationsLibraryTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1integration_1_1test_1_1_alexa_communications_library_test__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1integration_1_1test_1_1_alexa_communications_library_test_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1integration_1_1test_1_1_alexa_communications_library_test_inherit__map" id="alexa_client_s_d_k_1_1integration_1_1test_1_1_alexa_communications_library_test_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::integration::test::AlexaCommunicationsLibraryTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1integration_1_1test_1_1_alexa_communications_library_test__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1integration_1_1test_1_1_alexa_communications_library_test_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1integration_1_1test_1_1_alexa_communications_library_test_coll__map" id="alexa_client_s_d_k_1_1integration_1_1test_1_1_alexa_communications_library_test_coll__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a14d77d3725cc3978d7fbc5190f56b90e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_alexa_communications_library_test.html#a14d77d3725cc3978d7fbc5190f56b90e">SetUp</a> () override</td></tr>
<tr class="separator:a14d77d3725cc3978d7fbc5190f56b90e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7aef1ad6150501c92830f7b7ea71a2ce"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_alexa_communications_library_test.html#a7aef1ad6150501c92830f7b7ea71a2ce">TearDown</a> () override</td></tr>
<tr class="separator:a7aef1ad6150501c92830f7b7ea71a2ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a668715c1662f41f228a53cd944f466db"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_alexa_communications_library_test.html#a668715c1662f41f228a53cd944f466db">connect</a> ()</td></tr>
<tr class="separator:a668715c1662f41f228a53cd944f466db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7619736e84f98af264ddd606c166ad56"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_alexa_communications_library_test.html#a7619736e84f98af264ddd606c166ad56">disconnect</a> ()</td></tr>
<tr class="separator:a7619736e84f98af264ddd606c166ad56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59c5a49b4c7608d0d68f4dafe476ca40"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_alexa_communications_library_test.html#a59c5a49b4c7608d0d68f4dafe476ca40">sendEvent</a> (const std::string &amp;jsonContent, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7b">avsCommon::sdkInterfaces::MessageRequestObserverInterface::Status</a> expectedStatus, std::chrono::seconds timeout, std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html">avsCommon::avs::attachment::AttachmentReader</a> &gt; attachmentReader=nullptr)</td></tr>
<tr class="separator:a59c5a49b4c7608d0d68f4dafe476ca40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97796d2e7d47cc7145fccf5a0cf40e0a"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_in_process_attachment_reader.html">InProcessAttachmentReader</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_alexa_communications_library_test.html#a97796d2e7d47cc7145fccf5a0cf40e0a">createAttachmentReader</a> (const std::string &amp;fileName)</td></tr>
<tr class="separator:a97796d2e7d47cc7145fccf5a0cf40e0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf00e7c8099041a54661bbde4dd42701"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_alexa_communications_library_test.html#abf00e7c8099041a54661bbde4dd42701">sendRandomEvent</a> ()</td></tr>
<tr class="separator:abf00e7c8099041a54661bbde4dd42701"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:af8af35e5d96da6b189bcf7ed3bf88747"><td class="memItemLeft" align="right" valign="top">std::unique_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_a_c_l_test_context.html">ACLTestContext</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_alexa_communications_library_test.html#af8af35e5d96da6b189bcf7ed3bf88747">m_context</a></td></tr>
<tr class="memdesc:af8af35e5d96da6b189bcf7ed3bf88747"><td class="mdescLeft">&#160;</td><td class="mdescRight">Context for running ACL based tests.  <a href="#af8af35e5d96da6b189bcf7ed3bf88747">More...</a><br /></td></tr>
<tr class="separator:af8af35e5d96da6b189bcf7ed3bf88747"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a985195fd06efbc11ac0e6a9e600d011f"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1_client_message_handler.html">ClientMessageHandler</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_alexa_communications_library_test.html#a985195fd06efbc11ac0e6a9e600d011f">m_clientMessageHandler</a></td></tr>
<tr class="separator:a985195fd06efbc11ac0e6a9e600d011f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8ed40a9a27e2c6e05e6556847b0e152"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_a_v_s_connection_manager.html">AVSConnectionManager</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_alexa_communications_library_test.html#af8ed40a9a27e2c6e05e6556847b0e152">m_avsConnectionManager</a></td></tr>
<tr class="separator:af8ed40a9a27e2c6e05e6556847b0e152"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a668715c1662f41f228a53cd944f466db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a668715c1662f41f228a53cd944f466db">&#9670;&nbsp;</a></span>connect()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::integration::test::AlexaCommunicationsLibraryTest::connect </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a97796d2e7d47cc7145fccf5a0cf40e0a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a97796d2e7d47cc7145fccf5a0cf40e0a">&#9670;&nbsp;</a></span>createAttachmentReader()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_in_process_attachment_reader.html">InProcessAttachmentReader</a>&gt; alexaClientSDK::integration::test::AlexaCommunicationsLibraryTest::createAttachmentReader </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>fileName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Function to create an attachmentReader given a filename. </p>

</div>
</div>
<a id="a7619736e84f98af264ddd606c166ad56"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7619736e84f98af264ddd606c166ad56">&#9670;&nbsp;</a></span>disconnect()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::integration::test::AlexaCommunicationsLibraryTest::disconnect </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a59c5a49b4c7608d0d68f4dafe476ca40"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a59c5a49b4c7608d0d68f4dafe476ca40">&#9670;&nbsp;</a></span>sendEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::integration::test::AlexaCommunicationsLibraryTest::sendEvent </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>jsonContent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7b">avsCommon::sdkInterfaces::MessageRequestObserverInterface::Status</a>&#160;</td>
          <td class="paramname"><em>expectedStatus</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::chrono::seconds&#160;</td>
          <td class="paramname"><em>timeout</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html">avsCommon::avs::attachment::AttachmentReader</a> &gt;&#160;</td>
          <td class="paramname"><em>attachmentReader</em> = <code>nullptr</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="abf00e7c8099041a54661bbde4dd42701"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf00e7c8099041a54661bbde4dd42701">&#9670;&nbsp;</a></span>sendRandomEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::integration::test::AlexaCommunicationsLibraryTest::sendRandomEvent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">This function sends an Event to AVS, deciding to include an audio attachment based upon a random factor. </p>

</div>
</div>
<a id="a14d77d3725cc3978d7fbc5190f56b90e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a14d77d3725cc3978d7fbc5190f56b90e">&#9670;&nbsp;</a></span>SetUp()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::integration::test::AlexaCommunicationsLibraryTest::SetUp </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7aef1ad6150501c92830f7b7ea71a2ce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7aef1ad6150501c92830f7b7ea71a2ce">&#9670;&nbsp;</a></span>TearDown()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::integration::test::AlexaCommunicationsLibraryTest::TearDown </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="af8ed40a9a27e2c6e05e6556847b0e152"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8ed40a9a27e2c6e05e6556847b0e152">&#9670;&nbsp;</a></span>m_avsConnectionManager</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_a_v_s_connection_manager.html">AVSConnectionManager</a>&gt; alexaClientSDK::integration::test::AlexaCommunicationsLibraryTest::m_avsConnectionManager</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a985195fd06efbc11ac0e6a9e600d011f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a985195fd06efbc11ac0e6a9e600d011f">&#9670;&nbsp;</a></span>m_clientMessageHandler</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1integration_1_1_client_message_handler.html">ClientMessageHandler</a>&gt; alexaClientSDK::integration::test::AlexaCommunicationsLibraryTest::m_clientMessageHandler</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af8af35e5d96da6b189bcf7ed3bf88747"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8af35e5d96da6b189bcf7ed3bf88747">&#9670;&nbsp;</a></span>m_context</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::unique_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_a_c_l_test_context.html">ACLTestContext</a>&gt; alexaClientSDK::integration::test::AlexaCommunicationsLibraryTest::m_context</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Context for running ACL based tests. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/Integration/test/<a class="el" href="_alexa_communications_library_test_8cpp.html">AlexaCommunicationsLibraryTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
